import CellsysApp from "@airkoon/cellsys/cellsysApp";

class ArtReport extends CellsysApp{
    constructor(params) {
        super(params);
        this.reportName = params.name;
        this.artId = null;
        this.artNumber = 1;
        this.documentNumber = null;
        let modelOptions = params.model_options;
        if(modelOptions){
            this.artId = modelOptions.artworkId;
            let reportInformation = modelOptions.reportInformation;
            if(reportInformation){
                this.artNumber = reportInformation.artworkNumber;
                this.documentNumber = reportInformation.documentNumber;
            }

        }

    }
}

export default ArtReport